EasyDown API Docs
各平台视频下载 API

通用社交媒体视频下载 API

通过 POST /api/v1/parse 将任意已支持的社交媒体链接转换为统一的视频、图片和音频响应。

通用接口保持精简兼容结构:data 本身就是统一媒体对象,不包含 platformData

下方 curl、JavaScript、Python 示例和接口模式定义均由生产 OpenAPI 3.1 契约生成。

响应

{
  "status": 200,
  "data": {
    "platform": "youtube",
    "title": "公开作品示例",
    "thumbnail": "https://public-cdn.example/cover.jpg",
    "duration": 18,
    "images": [],
    "videos": [
      {
        "url": "https://public-cdn.example/video.mp4",
        "quality": "1080p",
        "mimeType": "video/mp4",
        "width": 1920,
        "height": 1080,
        "hasAudio": true,
        "source": "direct"
      }
    ],
    "audios": []
  },
  "msg": "success"
}

在线调试面板会直接请求 api.easydown.org。Token 只保存在当前页面内存中,刷新后立即清除。

POST

在线调试

成功返回可下载媒体将扣除 1 credit;失败请求不扣费。

Token 仅保存在当前页面内存中,关闭或刷新页面后立即清除。

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

curl -X POST "https://example.com/api/v1/parse" \  -H "Content-Type: application/json" \  -d '{}'
{  "status": 200,  "data": {    "platform": "tiktok",    "title": "string",    "thumbnail": "string",    "duration": 0,    "images": [      {        "url": "http://example.com",        "width": 0,        "height": 0      }    ],    "videos": [      {        "url": "http://example.com",        "quality": "string",        "mimeType": "string",        "width": 0,        "height": 0,        "hasAudio": true,        "source": "direct",        "headers": {          "property1": "string",          "property2": "string"        }      }    ],    "audios": [      {        "url": "http://example.com",        "quality": "string",        "mimeType": "string",        "bitrate": 0,        "source": "direct",        "headers": {          "property1": "string",          "property2": "string"        }      }    ]  },  "msg": "success"}

On this page